# Interface ResolveOptions

This type contains options to be used when preparing transactions or resolving overloads. Currently the only allowed option is one for whether to allow a transaction options argument on the end.

#### Category

Inputs

#### Hierarchy

- ResolveOptions

- Defined in encoder/lib/types.ts:14

#####
Index

### Properties

allowJson?
allowOptions?
strictBooleans?

## Properties

### `Optional` allowJson

allowJson?: boolean

This field, if set to true, allows JSON strings to be used for structs, tuples, and arrays. Note that this does not allow JSON to be used for elementary types like strings!

- Defined in encoder/lib/types.ts:25

### `Optional` allowOptions

allowOptions?: boolean

This field, if set to true, allows an optional transaction options argument after the other arguments.

- Defined in encoder/lib/types.ts:19

### `Optional` strictBooleans

strictBooleans?: boolean

This field, if set to true, disallows accepting arbitrary input as booleans.

- Defined in encoder/lib/types.ts:30

Generated using TypeDoc